Page MenuHomePhabricator

Use the arbitrary access to Wikidata feature on Commons (tracking)
Closed, ResolvedPublic

Description

Arbitrary access is coming to Commons soonish. To make full use of this feature we need to rebuild a bunch of templates in LUA. The templates should have exactly the same functionality + option to fallback to Wikidata for fields.

See also https://commons.wikimedia.org/wiki/Commons:Structured_data

Event Timeline

Multichill raised the priority of this task from to Normal.
Multichill updated the task description. (Show Details)
Multichill added a subscriber: Multichill.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 15 2015, 1:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ricordisamoa added a subscriber: Ricordisamoa.
Multichill set Security to None.Feb 15 2015, 1:58 PM
Multichill added a subscriber: Jarekt.
Elitre added a subscriber: Elitre.Feb 19 2015, 7:51 PM
Jheald added a subscriber: Jheald.Feb 19 2015, 9:10 PM
Nemo_bis added a subscriber: Nemo_bis.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Apr 28 2015, 1:30 PM
Steinsplitter moved this task from Third-party software to Tracking bugs on the Commons board.
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 2 2015, 4:55 PM
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Jun 5 2015, 10:42 AM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 8 2015, 7:28 AM
RP88 added a subscriber: RP88.Aug 20 2015, 4:12 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:25 PM
Revent added a subscriber: Revent.Nov 10 2015, 9:32 AM

Is there a timeline for when arbitrary access will be made available on Commons?

We have a meeting set up the week after next to figure out how to remove the last roadblock. I can't yet give an estimate how long this last part will take us unfortunately. It is however pretty high on my priority list. Currently before it on the list still are improvements of identifier handling, some performance improvements and integrating of constraint violations in the item pages.

Nizil added a subscriber: Nizil.Apr 22 2016, 6:33 PM
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 22 2016, 6:33 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 12 2017, 4:16 PM
SandraF_WMF added a subscriber: SandraF_WMF.
Lydia_Pintscher closed this task as Resolved.Sep 29 2018, 9:38 PM
Lydia_Pintscher claimed this task.